> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/payments.md).

# Payments

Record and reverse payments in VARIO Cloud via API, linking open items, bank accounts, payment methods, discounts and dunning payments.

Payment recording.

## POST /erp/payments

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Payments","description":"Payment recording."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/payments":{"post":{"tags":["Payments"],"operationId":"registerPayment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-payment-Payment"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-ManualPaymentResponse"}}}}}}}},"components":{"schemas":{"erp-payment-Payment":{"description":"Describes a payment that was made; one of openItemReceiptId or openItemId must be set.","properties":{"paymentDate":{"type":"string","format":"date","description":"Payment date."},"openItemReceiptId":{"type":"string","description":"Open item document (optional)."},"openItemId":{"type":"string","description":"Open item."},"paymentAmount":{"type":"number","description":"Payment amount."},"discountAmount":{"type":"number","description":"Payment discounts granted or retained."},"companyBankAccountId":{"type":"string","description":"Which bank of the company account was involved?"},"paymentMethodId":{"type":"string","description":"Payment method."},"direction":{"type":"string","description":"Incoming or outgoing payment."},"depositPayment":{"type":"boolean","default":false,"description":"Is this payment intended for the deposit or prepayment?"},"dunningPayments":{"type":"array","description":"All dunning payments.","items":{"$ref":"#/components/schemas/erp-payment-DunningPayment"}}},"required":["paymentAmount","paymentDate","paymentMethodId"]},"erp-payment-DunningPayment":{"description":"All dunning payments.","properties":{"dunningAmount":{"type":"number","description":"How much is paid towards the dunning?"},"dunningRecordId":{"type":"integer","format":"int64","description":"Which dunning is paid with this?"}}},"erp-finance-ManualPaymentResponse":{"properties":{"message":{"type":"array","description":"Problems with the manual payment","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true}}},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}}}}}
```

## POST /erp/payments/revert

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Payments","description":"Payment recording."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/payments/revert":{"post":{"tags":["Payments"],"operationId":"revertPayment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-PaymentRevertRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"erp-finance-PaymentRevertRequest":{"properties":{"openItemRecordId":{"type":"integer","format":"int64","description":"Identifier of the record to cancel."},"comment":{"type":"string","description":"Comment on the cancellation."}},"required":["openItemRecordId"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/payments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
